org.apache.ignite.internal.commandline.cache

## Class CacheValidateIndexes.Arguments

- java.lang.Object
- - org.apache.ignite.internal.commandline.cache.CacheValidateIndexes.Arguments

Enclosing class:
  CacheValidateIndexes

    public class CacheValidateIndexes.Arguments
    extends Object

Container for command arguments.

### Constructor Summary

Constructors
Constructor and Description
`Arguments(Set<String> caches, UUID nodeId, int checkFirst, int checkThrough)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Set<String>` `caches()`
`int` `checkFirst()`
`int` `checkThrough()`
`UUID` `nodeId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Arguments

    public Arguments(Set<String> caches,
                     UUID nodeId,
                     int checkFirst,
                     int checkThrough)

### Method Detail

#### caches

    public Set<String> caches()

Returns:
  Caches.

#### checkFirst

    public int checkFirst()

Returns:
  Max number of entries to be checked.

#### checkThrough

    public int checkThrough()

Returns:
  Number of entries to check through.

#### nodeId

    public UUID nodeId()

Returns:
  Node id.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020